package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrbasictest.AddOcrBasicTestDTO;
import com.docus.server.dto.segmentation.ocrbasictest.EditOcrBasicTestDTO;
import com.docus.server.entity.segmentation.OcrBasicTest;
import com.docus.server.vo.segmentation.ocrbasictest.OcrBasicTestVO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 患者信息表-调试 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Mapper
public interface OcrBasicTestConvert {

    OcrBasicTestConvert INSTANCE = Mappers.getMapper(OcrBasicTestConvert.class);

    @Mappings({})
    OcrBasicTest convertDO(AddOcrBasicTestDTO addOcrBasicTestDTO);

    @Mappings({})
    OcrBasicTest convertDO(AddOcrBasicTestDTO addOcrBasicTestDTO, @MappingTarget OcrBasicTest ocrBasicTest);

    @Mappings({})
    OcrBasicTest convertDO(EditOcrBasicTestDTO editOcrBasicTestDTO);

    @Mappings({})
    List<OcrBasicTest> convertAddDOList(List<AddOcrBasicTestDTO> addOcrBasicTestDTO);

    @Mappings({})
    List<OcrBasicTest> convertEditDOList(List<EditOcrBasicTestDTO> editOcrBasicTestDTO);

    @Mappings({})
    OcrBasicTestVO convertVO(OcrBasicTest ocrBasicTest);

    @Mappings({})
    List<OcrBasicTestVO> convertVO(List<OcrBasicTest> ocrBasicTestList);

    @Mappings({})
    PageResult<OcrBasicTestVO> convertVO(PageResult<OcrBasicTest> pageResult);
}

